Skip to main content
Version: v1.0.0(int)

E160: Reactivate order channel

POST /api/order-channels/:id/reactivate

Restores a previously archived order channel. Triggered from Settings → Order channels.

Authentication​

Standard tenant route. Requires Authorization: Bearer <firebase-id-token> and X-Org-Id: <org-id>. Access: Admin.

Request​

No body.

Response — 200 OK​

{ "channel": OrderChannel }

Errors​

HTTPcodeCondition
404not_foundNo such order channel.
409invalid_transitionOrder channel is already active.

Workflow​

Calls W160 Reactivate order channel.